Project

Profile

Help

Issue #1249

pulp_module_builder fails when there are no 'ModuleFile' metadata files

Added by jd-daniels about 6 years ago. Updated over 2 years ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
Normal
Start date:
Due date:
Estimated time:
Severity:
2. Medium
Version:
2.6.0
Platform Release:
2.6.5
OS:
Triaged:
Yes
Groomed:
No
Sprint Candidate:
No
Tags:
Easy Fix, Pulp 2
Sprint:
Quarter:

Description

  1. pulp-puppet-module-builder --url=file:///opt/puppet/repos/modules/
    cd /opt/puppet
    git clone --recursive file:///opt/puppet/repos/modules/
    git status
    find . -name Modulefile
    find . -name metadata.json
    puppet module build
    Warning: Setting manifest is deprecated in puppet.conf. See http://links.puppetlabs.com/env-settings-deprecations
    (at /usr/lib/ruby/site_ruby/1.8/puppet/settings.rb:1095:in `issue_deprecations')
    Warning: Setting modulepath is deprecated in puppet.conf. See http://links.puppetlabs.com/env-settings-deprecations
    (at /usr/lib/ruby/site_ruby/1.8/puppet/settings.rb:1095:in `issue_deprecations')
    Error: Unable to find module root at /opt/puppet or parent directories
    Error: Try 'puppet help module build' for usage

Line 229 of puppet_module_builder.py will return an empty line if there are no legacy ModuleFile metadata files (if for instance, you only have metadata.json metadata files)

set(['',

Which causes the 'puppet module build' to fail because it tries to build in the cwd.


Related issues

Has duplicate Puppet Support - Issue #1379: pulp-puppet-module-builder - Errors if no modules with 'Modulefile' or no modules with 'metadata.json' exist in git repo.CLOSED - DUPLICATE<a title="Actions" class="icon-only icon-actions js-contextmenu" href="#">Actions</a>

Associated revisions

Revision a54f0430 View on GitHub
Added by Andreas Schiermeier about 6 years ago

Fixes errors with repos without "Modulefile" modules.

Puppet repositories that contain modules that only use 'metadata.json' files or only 'Modulefile' files are now buildable by pulp-puppet-module-builder.

Closes #1249.

Revision 1849390b View on GitHub
Added by Andreas Schiermeier about 6 years ago

Fixes errors with repos without "Modulefile" modules.

Puppet repositories that contain modules that only use 'metadata.json' files or only 'Modulefile' files are now buildable by pulp-puppet-module-builder.

Closes #1249.

History

#1 Updated by mhrivnak about 6 years ago

  • Status changed from NEW to POST
  • Assignee set to jcline@redhat.com
  • Platform Release set to 2.6.5
  • Triaged changed from No to Yes

#2 Updated by jcline@redhat.com about 6 years ago

  • Subject changed from pulp_module_builder fails when there are 'ModuleFile' metadata files to pulp_module_builder fails when there are no 'ModuleFile' metadata files

#4 Updated by Anonymous about 6 years ago

  • Status changed from POST to MODIFIED
  • % Done changed from 0 to 100

#5 Updated by dkliban@redhat.com about 6 years ago

  • Status changed from MODIFIED to 5

#6 Updated by dkliban@redhat.com about 6 years ago

  • Status changed from 5 to CLOSED - CURRENTRELEASE

#8 Updated by daviddavis almost 5 years ago

  • Has duplicate Issue #1379: pulp-puppet-module-builder - Errors if no modules with 'Modulefile' or no modules with 'metadata.json' exist in git repo. added

#10 Updated by bmbouter over 2 years ago

  • Tags Pulp 2 added

Please register to edit this issue

Also available in: Atom PDF